<?php

namespace STM\DB\SQL;

/**
 * Test class for InsertQuery.
 * Generated by PHPUnit on 2012-02-02 at 14:15:28.
 * @group database
 */
class InsertQueryTest extends \PHPUnit_Framework_TestCase {

    /** @var InsertQuery */
    protected $object;
    
    protected function setUp() {
        $this->object = new InsertQuery(DT_COMPETITIONS);
    }

    public function testisValid() {        
        $query = new InsertQuery('');
        parent::assertFalse($query->isValid());
        $query = new InsertQuery(null);
        parent::assertFalse($query->isValid());
        $query = new InsertQuery(111);
        parent::assertFalse($query->isValid());
        $this->object->addAttributes(array('id' => 1));
        parent::assertTrue($this->object->isValid());
    }

    public function testGenerate() {
        // at least one attribute
        parent::assertFalse($this->object->generate());
        $this->object->addAttributes(array('id' => 1));
        parent::assertTrue(is_string($this->object->generate()));
    }

    public function testAdd_attributes() {
        // must be array with scalar keys and values                
        $this->object->addAttributes(null);
        parent::assertFalse($this->object->isValid());
        $this->object->addAttributes(array(1 => array()));
        parent::assertFalse($this->object->isValid());        
        $this->object->addAttributes(array('id' => null));
        parent::assertFalse($this->object->isValid());
    }

}

?>
